Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore.updater
Class AbstractRestrictionUpdater

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater

All Implemented Interfaces:
  RestrictionUpdater

Direct Known Subclasses:
  CardinalityRestrictionUpdater, HasValueRestrictionUpdater, QuantifierRestrictionUpdater

    public abstract class AbstractRestrictionUpdater

extends Object
implements RestrictionUpdater

Field Summary
`protected OWLModel` | `owlModel` The OWLModel this operates on

Constructor Summary
`AbstractRestrictionUpdater(OWLModel owlModel)`

Method Summary
`protected edu.stanford.smi.protege.model.Cls` | `getDirectRestriction(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Class metaClass)`
`protected
`<X extends OWLRestriction> Collection<X>`
` | `getDirectRestrictions(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Class<? extends X> metaClass)`
`protected void` | `removeRestrictions(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Cls metaCls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.framestore.updater.RestrictionUpdater
`copyFacetValuesIntoNamedClass, updateRestrictions`

Field Detail

### owlModel

    protected OWLModel owlModel

  The OWLModel this operates on

Constructor Detail

### AbstractRestrictionUpdater

    public AbstractRestrictionUpdater(OWLModel owlModel)

Method Detail

### getDirectRestriction

    protected edu.stanford.smi.protege.model.Cls getDirectRestriction(edu.stanford.smi.protege.model.Cls cls,
                                                                      edu.stanford.smi.protege.model.Slot slot,
                                                                      Class metaClass)

### getDirectRestrictions

    protected <X extends OWLRestriction> Collection<X> getDirectRestrictions(edu.stanford.smi.protege.model.Cls cls,
                                                                             edu.stanford.smi.protege.model.Slot slot,
                                                                             Class<? extends X> metaClass)

### removeRestrictions

    protected void removeRestrictions(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Cls metaCls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.